package com.objis.spring.dao.hibernate.test;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.objis.spring.dao.hibernate.HibernateEmployeDao;
import com.objis.spring.dao.hibernate.HibernateDaoSupportEmployeDao;

import domaine.Employe;
import junit.framework.TestCase;

public class TestSpringHibernateDAO extends TestCase {

private Employe emp ;
private HibernateEmployeDao springHibernateDao1 ;
private HibernateDaoSupportEmployeDao springHibernateDao2 ;
private ClassPathXmlApplicationContext appContext;

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		emp = new Employe("morad","mdpobjis","Morad","HANAFI","morad.hanafi@objis.com","employe");
		appContext = new ClassPathXmlApplicationContext("spring-data.xml");
		springHibernateDao1 = (HibernateEmployeDao) appContext.getBean("hibernateEmployeDao");
		springHibernateDao2 = (HibernateDaoSupportEmployeDao) appContext.getBean("hibernateEmployeDaoSupport");
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
		emp = null;
		appContext = null;
		springHibernateDao1 = null;
		springHibernateDao2 = null;
	}

	public  void testSaveEmploye(){
		//springHibernateDao1.saveEmploye(emp); // Utilisation JDBCTemplate
		springHibernateDao2.saveEmploye(emp); // Utilisation JDBCDaoSupport
	}
	
/*	public void testGetEmployeById(){
		///TODO Implmenter la mthode GetEmployeById() du DAO
		Employe employe = springHibernateDao2.getEmployeById(2); // Utilisation JDBCDaoSupport (test rcupration Employe Mass Samb)
		assertNotNull(employe);
	}*/
}
